com.foundationdb.sql.jdbc.geometric

## Class PGlseg

- java.lang.Object
- - com.foundationdb.sql.jdbc.util.PGobject
  - - com.foundationdb.sql.jdbc.geometric.PGlseg

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class PGlseg
    extends PGobject
    implements java.io.Serializable, java.lang.Cloneable

This implements a lseg (line segment) consisting of two points

See Also:
  Serialized Form

### Field Summary

Fields
`PGpoint[]` `point` These are the two points.

### Fields inherited from class com.foundationdb.sql.jdbc.util.PGobject

`type, value`

### Constructor Summary

Constructors
Constructor and Description
`PGlseg()` reuired by the driver
`PGlseg(double x1, double y1, double x2, double y2)`
`PGlseg(PGpoint p1, PGpoint p2)`
`PGlseg(java.lang.String s)`

### Method Summary

Methods
`java.lang.Object` `clone()` This must be overidden to allow the object to be cloned
`boolean` `equals(java.lang.Object obj)` This must be overidden to allow comparisons of objects
`java.lang.String` `getValue()` This must be overidden, to return the value of the object, in the form required by org.postgresql.
`int` `hashCode()`
`void` `setValue(java.lang.String s)` This method sets the value of this object.

### Methods inherited from class com.foundationdb.sql.jdbc.util.PGobject

`getType, setType, toString`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### point

    public PGpoint[] point

These are the two points.

### Constructor Detail

#### PGlseg

    public PGlseg(double x1,
          double y1,
          double x2,
          double y2)

Parameters:
  `x1` - coordinate for first point
  `y1` - coordinate for first point
  `x2` - coordinate for second point
  `y2` - coordinate for second point

#### PGlseg

    public PGlseg(PGpoint p1,
          PGpoint p2)

Parameters:
  `p1` - first point
  `p2` - second point

#### PGlseg

    public PGlseg(java.lang.String s)
           throws java.sql.SQLException

Parameters:
  `s` - definition of the line segment in PostgreSQL's syntax.
Throws:
  `java.sql.SQLException` - on conversion failure

#### PGlseg

    public PGlseg()

reuired by the driver

### Method Detail

#### setValue

    public void setValue(java.lang.String s)
                  throws java.sql.SQLException

Description copied from class: `PGobject`
This method sets the value of this object. It must be overidden.

Overrides:
  `setValue` in class `PGobject`
Parameters:
  `s` - Definition of the line segment in PostgreSQL's syntax
Throws:
  `java.sql.SQLException` - on conversion failure

#### equals

    public boolean equals(java.lang.Object obj)

Description copied from class: `PGobject`
This must be overidden to allow comparisons of objects

Overrides:
  `equals` in class `PGobject`
Parameters:
  `obj` - Object to compare with
Returns:
  true if the two line segments are identical

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

Description copied from class: `PGobject`
This must be overidden to allow the object to be cloned

Overrides:
  `clone` in class `PGobject`
Throws:
  `java.lang.CloneNotSupportedException`

#### getValue

    public java.lang.String getValue()

Description copied from class: `PGobject`
This must be overidden, to return the value of the object, in the form required by org.postgresql.

Overrides:
  `getValue` in class `PGobject`
Returns:
  the PGlseg in the syntax expected by org.postgresql